Bug 195411 - [PlayStation] Add initialization for JSC shell for PlayStation port
Summary: [PlayStation] Add initialization for JSC shell for PlayStation port
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-07 08:44 PST by Stephan Szabo
Modified: 2019-04-01 11:26 PDT (History)
13 users (show)

See Also:


Attachments
Patch for JSC shell initialization and test scripts for PlayStation port (27.23 KB, patch)
2019-03-07 09:11 PST, Stephan Szabo
no flags Details | Formatted Diff | Diff
Patch for JSC shell initialization and test scripts for PlayStation port (27.24 KB, patch)
2019-03-07 14:40 PST, Stephan Szabo
no flags Details | Formatted Diff | Diff
Patch for JSC shell initialization and test scripts for PlayStation port (27.23 KB, patch)
2019-03-07 14:42 PST, Stephan Szabo
no flags Details | Formatted Diff | Diff
Patch for JSC shell initialization and test scripts for PlayStation port (27.21 KB, patch)
2019-03-12 10:43 PDT, Stephan Szabo
no flags Details | Formatted Diff | Diff
Patch for JSC shell initialization and test scripts for PlayStation port (27.16 KB, patch)
2019-03-12 10:51 PDT, Stephan Szabo
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (12.89 MB, application/zip)
2019-03-12 14:07 PDT, Build Bot
no flags Details
Patch for JSC shell initialization and test scripts for PlayStation port (27.16 KB, patch)
2019-03-12 15:37 PDT, Stephan Szabo
no flags Details | Formatted Diff | Diff
Patch for JSC shell initialization and test scripts for PlayStation port (31.34 KB, patch)
2019-03-15 14:53 PDT, Stephan Szabo
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-wk2 (2.52 MB, application/zip)
2019-03-18 10:51 PDT, Build Bot
no flags Details
Patch for JSC shell initialization and test scripts for PlayStation port (31.34 KB, patch)
2019-03-18 16:05 PDT, Stephan Szabo
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (2.65 MB, application/zip)
2019-03-18 18:49 PDT, Build Bot
no flags Details
Patch for JSC shell initialization for PlayStation port (5.76 KB, patch)
2019-03-22 15:04 PDT, Stephan Szabo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Szabo 2019-03-07 08:44:10 PST
Add the library loading, floating point configuration and other necessary pieces for the jsc shell on PlayStation port. The port requires explicit mentioning of dependent libraries, and we need to do this before static initialization. Also, the float point configuration defaults to one that disables denormals, which causes errors for things like Number.MIN_VALUE.

Add test writer for using remote playstation targets for JSC tests along with associated arguments.
Comment 1 Stephan Szabo 2019-03-07 09:11:15 PST
Created attachment 363881 [details]
Patch for JSC shell initialization and test scripts for PlayStation port
Comment 2 Ross Kirsling 2019-03-07 14:37:30 PST
Comment on attachment 363881 [details]
Patch for JSC shell initialization and test scripts for PlayStation port

View in context: https://bugs.webkit.org/attachment.cgi?id=363881&action=review

> Tools/Scripts/webkitdirs.pm:476
> +    }
> +    else {
> +        $jscName .= ".exe" if (isAnyWindows());

} elsif (isAnyWindows()) {
Comment 3 Stephan Szabo 2019-03-07 14:40:16 PST
Created attachment 363931 [details]
Patch for JSC shell initialization and test scripts for PlayStation port
Comment 4 Stephan Szabo 2019-03-07 14:42:31 PST
Created attachment 363932 [details]
Patch for JSC shell initialization and test scripts for PlayStation port
Comment 5 Stephan Szabo 2019-03-12 10:43:51 PDT
Created attachment 364403 [details]
Patch for JSC shell initialization and test scripts for PlayStation port

Removing outdated comment as noticed by Chris Reid.
Comment 6 Stephan Szabo 2019-03-12 10:51:37 PDT
Created attachment 364405 [details]
Patch for JSC shell initialization and test scripts for PlayStation port
Comment 7 Build Bot 2019-03-12 14:07:10 PDT
Comment on attachment 364405 [details]
Patch for JSC shell initialization and test scripts for PlayStation port

Attachment 364405 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/11479780

New failing tests:
storage/indexeddb/modern/gc-closes-database-private.html
Comment 8 Build Bot 2019-03-12 14:07:47 PDT
Created attachment 364443 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 9 Stephan Szabo 2019-03-12 15:37:40 PDT
Created attachment 364461 [details]
Patch for JSC shell initialization and test scripts for PlayStation port
Comment 10 Stephan Szabo 2019-03-15 14:53:01 PDT
Created attachment 364848 [details]
Patch for JSC shell initialization and test scripts for PlayStation port

A version of the PlayStation initialization which removes the need for https://bugs.webkit.org/show_bug.cgi?id=194542 by wrapping getcwd/fopen to provide the working directory and wraps main to provide a command line argument for setting the working directory without updating jsc.cpp itself.

Not yet marking this as obsoleting the old patch as this is a parallel approach.
Comment 11 Build Bot 2019-03-18 10:51:47 PDT
Comment on attachment 364848 [details]
Patch for JSC shell initialization and test scripts for PlayStation port

Attachment 364848 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11551439

New failing tests:
storage/indexeddb/modern/idbtransaction-objectstore-failures-private.html
Comment 12 Build Bot 2019-03-18 10:51:48 PDT
Created attachment 365029 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 13 Stephan Szabo 2019-03-18 16:05:27 PDT
Created attachment 365084 [details]
Patch for JSC shell initialization and test scripts for PlayStation port
Comment 14 Build Bot 2019-03-18 18:49:05 PDT
Comment on attachment 365084 [details]
Patch for JSC shell initialization and test scripts for PlayStation port

Attachment 365084 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11557007

New failing tests:
imported/w3c/web-platform-tests/mediacapture-record/MediaRecorder-constructor.html
Comment 15 Build Bot 2019-03-18 18:49:07 PDT
Created attachment 365102 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 16 Stephan Szabo 2019-03-22 15:04:50 PDT
Created attachment 365763 [details]
Patch for JSC shell initialization for PlayStation port

Moving wrapper functions out into requirements library, so using that. Also separating out the script portion so this should only modify PlayStation specific files.
Comment 17 Ross Kirsling 2019-04-01 10:46:34 PDT
Comment on attachment 365763 [details]
Patch for JSC shell initialization for PlayStation port

View in context: https://bugs.webkit.org/attachment.cgi?id=365763&action=review

Looks alright to me.

> Source/JavaScriptCore/shell/playstation/Initializer.cpp:32
> +__attribute__((constructor(101)))

The internet suggests you only need to specify the priority if there's more than one?
Comment 18 Stephan Szabo 2019-04-01 10:54:02 PDT
We do have some other constructor items in libraries and the floating point initialization code.
Comment 19 WebKit Commit Bot 2019-04-01 11:25:17 PDT
Comment on attachment 365763 [details]
Patch for JSC shell initialization for PlayStation port

Clearing flags on attachment: 365763

Committed r243700: <https://trac.webkit.org/changeset/243700>
Comment 20 WebKit Commit Bot 2019-04-01 11:25:19 PDT
All reviewed patches have been landed.  Closing bug.
Comment 21 Radar WebKit Bug Importer 2019-04-01 11:26:28 PDT
<rdar://problem/49486933>